##
##  rdesktop.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_major      1.1.0
%define       V_patch_here 19.9.0
%define       V_patch_real 19-9-0

#   package information
Name:         rdesktop
Summary:      Windows 2000 and Terminal Services RDP client.
URL:          http://www.rdesktop.org/
Vendor:       Matt Chapman
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Terminal
License:      GPL
Version:      %{V_major}.%{V_patch_here}
Release:      20021231

#   list of sources
Source0:      http://osdn.dl.sourceforge.net/sourceforge/rdesktop/rdesktop-%{V_major}.tar.gz
Patch0:       http://bibl4.oru.se/projects/rdesktop/rdesktop-unified-patch%{V_patch_real}.bz2
Patch1:       rdesktop.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021230, make, gcc, X11, openssl
PreReq:       OpenPKG, openpkg >= 20021230, X11
AutoReq:      no
AutoReqProv:  no

%description
    rdesktop is an open source client for Windows NT Terminal Server and
    Windows 2000 Terminal Services, capable of natively speaking Remote
    Desktop Protocol (RDP) in order to present the user's NT desktop.
    Unlike Citrix ICA, no server extensions are required.

%prep
    %setup -q -n rdesktop-%{V_major}
    %patch0 -p2
    %patch1 -p0

%build
    ./configure \
        --prefix=$RPM_BUILD_ROOT%{l_prefix} \
        --with-openssl=%{l_prefix} \
        --with-ssl-includes=%{l_prefix}/include/openssl \
        --with-ssl-libs=%{l_prefix}/lib \
        --with-gui=xwin \
        --with-gui-includes=`%{l_prefix}/etc/rc --query x11_incdir` \
        --with-gui-libs=`%{l_prefix}/etc/rc --query x11_libdir`
    %{l_make} %{l_mflags} all \
        CC="%{l_cc} %{l_cflags -O} %{l_cppflags}"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        rdesktop $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        rdesktop.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

